#ifndef _FONT_H_
#define _FONT_H_

#include <stdint.h>

typedef struct
{
	uint8_t XSize;
	const uint8_t* pData;
} GUI_CHARINFO;

typedef struct GUI_FONT_PROP
{
	uint16_t First;						/* first character               */
	uint16_t Last;						/* last character                */
	const GUI_CHARINFO* paCharInfo;		/* address of first character    */
	const struct GUI_FONT_PROP* pNext;	/* pointer to next */
} GUI_FONT_PROP;

typedef struct
{
	uint8_t YSize;
	const GUI_FONT_PROP* pFontData;
	uint8_t Baseline;
	uint8_t LHeight;     /* height of a small lower case character (a,x) */
	uint8_t CHeight;     /* height of a small upper case character (A,X) */
} GUI_FONT;


#endif /* _FONT_H_ */
