#include <stdint.h>
#include <stdlib.h>
#include <stdio.h>

#include "gfx.h"
#include "gfx_test.h"
#include <CoOS.h>

#include "font.h"
#include "f32b_ascii.h"
#include "f32_ascii.h"
#include "f24b_ascii.h"
#include "f24_ascii.h"
#include "fd80.h"

// fr pict test
#include <string.h>
#include "xmem.h"
//#include "pic01.h"
#include "pic02.h"
#include <math.h> // sin


#define WND_START_X  (0)
#define WND_START_Y (36)

// debug
//#include <stdio.h>
//#include "semihosting.h"

static const uint16_t cols[] =
{
	RED, RED, RED, RED, RED, RED, RED, RED, RED, RED,
	YELLOW, YELLOW, YELLOW, YELLOW, YELLOW, YELLOW, YELLOW, YELLOW, YELLOW, YELLOW,
	GREEN, GREEN, GREEN, GREEN, GREEN, GREEN, GREEN, GREEN, GREEN, GREEN,
	CYAN, CYAN, CYAN, CYAN, CYAN, CYAN, CYAN, CYAN, CYAN, CYAN,
	BLUE, BLUE, BLUE, BLUE, BLUE, BLUE, BLUE, BLUE, BLUE, BLUE,
	MAGENTA, MAGENTA, MAGENTA, MAGENTA, MAGENTA, MAGENTA, MAGENTA
};

void gfx_test1()
{
	CoSchedLock();
	gfx_set_color(BLACK);
	gfx_rect_filled(WND_START_X, WND_START_Y, gfx_get_max_x(), gfx_get_max_y());
	CoSchedUnlock();

	uint8_t k = 0;

	for(uint16_t i = 0; i < 300; i++)
	{
		for(uint16_t y = WND_START_Y; y < gfx_get_max_y(); y++)
		{
			CoSchedLock();
			gfx_set_color(cols[k++]);
			if(k >= (sizeof(cols) / sizeof(cols[0])))
				k = 0;

			gfx_line(WND_START_X, y, gfx_get_max_x(), y);
			CoSchedUnlock();
		}

		CoTickDelay(100);
	}
}

void gfx_test2()
{
	CoSchedLock();
	gfx_set_color(BLACK);
	gfx_rect_filled(WND_START_X, WND_START_Y, gfx_get_max_x(), gfx_get_max_y());
	CoSchedUnlock();

	uint8_t k = 0;

	for(uint16_t i = 0; i < 300; i++)
	{
		for(uint16_t x = WND_START_X; x < gfx_get_max_x(); x++)
		{
			CoSchedLock();
			gfx_set_color(cols[k++]);
			if(k >= (sizeof(cols) / sizeof(cols[0])))
				k = 0;

			gfx_line(x, WND_START_Y, x, gfx_get_max_y());
			CoSchedUnlock();
		}

		CoTickDelay(100);
	}
}

void gfx_linetest()
{
	uint16_t x1, y1, x2, y2;

	CoSchedLock();
	gfx_set_color(BLACK);
	gfx_rect_filled(WND_START_X, WND_START_Y, gfx_get_max_x(), gfx_get_max_y());
	CoSchedUnlock();

	for(uint16_t i = 0; i < 10000; i++)
	{
		x1 = rand() % gfx_get_max_x();
		y1 = rand() % gfx_get_max_y();
		x2 = rand() % gfx_get_max_x();
		y2 = rand() % gfx_get_max_y();

		if(x1 < WND_START_X) x1 = WND_START_X;
		if(x2 < WND_START_X) x2 = WND_START_X;
		if(y1 < WND_START_Y) y1 = WND_START_Y;
		if(y2 < WND_START_Y) y2 = WND_START_Y;

		CoSchedLock();
		gfx_set_color(rand());
		gfx_line(x1, y1, x2, y2);
		CoSchedUnlock();
	}
}

void gfx_recttest()
{
	uint16_t x1, y1, x2, y2;

	CoSchedLock();
	gfx_set_color(BLACK);
	gfx_rect_filled(WND_START_X, WND_START_Y, gfx_get_max_x(), gfx_get_max_y());
	CoSchedUnlock();

	for(uint16_t i = 0; i < 1500; i++)
	{
		x1 = rand() % gfx_get_max_x();
		y1 = rand() % gfx_get_max_y();
		x2 = rand() % gfx_get_max_x();
		y2 = rand() % gfx_get_max_y();

		if(x1 < WND_START_X) x1 = WND_START_X;
		if(x2 < WND_START_X) x2 = WND_START_X;
		if(y1 < WND_START_Y) y1 = WND_START_Y;
		if(y2 < WND_START_Y) y2 = WND_START_Y;

		CoSchedLock();
		gfx_set_color(rand());
		gfx_rect_filled(x1, y1, x2, y2);
		CoSchedUnlock();
	}
}

void gfx_circletest()
{
	uint16_t x, y, r;

	gfx_clear(BLACK);

	for(uint16_t i = 0; i < 5000; i++)
	{
		x = (gfx_get_max_x() / 4) + (rand() % (gfx_get_max_x() / 2));
		y = (gfx_get_max_y() / 4) + (rand() % (gfx_get_max_y() / 2));

		r = rand() % (y / 2);

		if(y < r)
			y = r;
		else if((y + r) > gfx_get_max_y())
			y = gfx_get_max_y() - r;

		if(x < r)
			x = r;
		else if((x + r) > gfx_get_max_x())
			x = gfx_get_max_x() - r;

		gfx_set_color(rand());
		gfx_circle_filled(x, y, r);
	}
}

void gfx_round_recttest()
{
	CoSchedLock();
    gfx_set_color(BLACK);
	gfx_rect_filled(WND_START_X, WND_START_Y, gfx_get_max_x(), gfx_get_max_y());
	CoSchedUnlock();

	for(uint16_t i = 0; i < 50; i++)
	{
		CoSchedLock();
		gfx_set_color(rand());
		CoSchedUnlock();

		for(uint16_t y = WND_START_Y; y <= gfx_get_max_y(); y++)
		{
			for(uint16_t x = WND_START_X; x <= gfx_get_max_x(); x++)
			{
				CoSchedLock();
				gfx_put_pixel(x, y);
				CoSchedUnlock();
			}
		}

		CoTickDelay(1);
	}
}

void gfx_mystify_test()
{
#define MYSTIFY_LINES    50     /* Anzahl der Mystify-Linien */
#define MYSTIFY_MAX_STEP  4     /* Maximaler Abstand zwischen zwei Linien */
#define MYSTIFY_X_MAX    gfx_get_max_x()    /* Display-Gre X */
#define MYSTIFY_Y_MAX    gfx_get_max_y()    /* Display-Gre Y */

    int x1[MYSTIFY_LINES], x2[MYSTIFY_LINES],
        y1[MYSTIFY_LINES], y2[MYSTIFY_LINES],
        stepx1, stepx2,
        stepy1,stepy2;

	CoSchedLock();
    gfx_set_color(BLACK);
	gfx_rect_filled(WND_START_X, WND_START_Y, gfx_get_max_x(), gfx_get_max_y());
	CoSchedUnlock();

	uint8_t i;

    /* alle Linien initialisieren. Starten in 1,1 = direkt auf Randlinie */
    for (i = 0; i < MYSTIFY_LINES; i++)
    {
        x1[i] = WND_START_X;
        x2[i] = WND_START_X;
        y1[i] = WND_START_Y;
        y2[i] = WND_START_X;
    }

    /* Zufallsschrittweite */
    stepx1 = rand() % 5 + 1;
    stepx2 = rand() % 5 + 1;
    stepy1 = rand() % 5 + 1;
    stepy2 = rand() % 5 + 1;

    /* zufllige vorderste Linie platzieren; Zahlen von 1 bis (maximale Breite -1) */
    x1[MYSTIFY_LINES-1] = rand() % (MYSTIFY_X_MAX - 1) + 1; if(x1[MYSTIFY_LINES-1] < (WND_START_X - 1)) x1[MYSTIFY_LINES-1] = WND_START_X;
    x2[MYSTIFY_LINES-1] = rand() % (MYSTIFY_X_MAX - 1) + 1; if(x2[MYSTIFY_LINES-1] < (WND_START_X - 1)) x2[MYSTIFY_LINES-1] = WND_START_X;
    y1[MYSTIFY_LINES-1] = rand() % (MYSTIFY_Y_MAX - 1) + 1; if(y1[MYSTIFY_LINES-1] < (WND_START_Y - 1)) y1[MYSTIFY_LINES-1] = WND_START_Y;
    y2[MYSTIFY_LINES-1] = rand() % (MYSTIFY_Y_MAX - 1) + 1; if(y2[MYSTIFY_LINES-1] < (WND_START_Y - 1)) y2[MYSTIFY_LINES-1] = WND_START_Y;

    for(uint16_t n = 0; n < 1500; n++)
    {
    	static uint16_t col = WHITE;

    	CoSchedLock();
    	gfx_set_color(BLACK);
    	gfx_line(x1[0], y1[0], x2[0], y2[0]);
		CoSchedUnlock();

        /* alle weitern Linien eins aufrcken */
        for(i = 0; i < MYSTIFY_LINES - 1; i++)
        {
            x1[i] = x1[i+1];
            x2[i] = x2[i+1];
            y1[i] = y1[i+1];
            y2[i] = y2[i+1];
        }

        /*
        Testen, ob ein Linien-Eckpunkt einen Rand berhrt;
        wenn ja, Richtung umdrehen und neue Schrittweite.
        zuvor positiver Schrittwert
        */
        if(x1[MYSTIFY_LINES - 1] + stepx1 >= MYSTIFY_X_MAX - 1)
        	stepx1 = -1 * (rand() % MYSTIFY_MAX_STEP + 1);
        if(x2[MYSTIFY_LINES - 1] + stepx2 >= MYSTIFY_X_MAX - 1)
        	stepx2 = -1 * (rand() % MYSTIFY_MAX_STEP + 1);
        if(y1[MYSTIFY_LINES - 1] + stepy1 >= MYSTIFY_Y_MAX - 1)
            stepy1 = -1 * (rand() % MYSTIFY_MAX_STEP + 1);
        if(y2[MYSTIFY_LINES - 1] + stepy2 >= MYSTIFY_Y_MAX - 1)
        	stepy2 = -1 * (rand() % MYSTIFY_MAX_STEP + 1);

        /*
        Testen, ob ein Linien-Eckpunkt einen Rand berhrt;
        wenn ja, Richtung umdrehen und neue Schrittweite
        zuvor negativer Schrittwert
        */
        if (x1[MYSTIFY_LINES - 1] + stepx1 <= WND_START_X)
            stepx1 = rand() % MYSTIFY_MAX_STEP + 1;
        if (x2[MYSTIFY_LINES - 1] + stepx2 <= WND_START_X)
            stepx2 = rand() % MYSTIFY_MAX_STEP + 1;
        if (y1[MYSTIFY_LINES - 1] + stepy1 <= WND_START_Y)
            stepy1 = rand() % MYSTIFY_MAX_STEP + 1;
        if (y2[MYSTIFY_LINES - 1] + stepy2 <= WND_START_Y)
            stepy2 = rand() % MYSTIFY_MAX_STEP + 1;

        /*
        vorderste Linie einen Schritt weiter als die
        bisher vorderste
        */
        x1[MYSTIFY_LINES - 1] += stepx1;
        x2[MYSTIFY_LINES - 1] += stepx2;
        y1[MYSTIFY_LINES - 1] += stepy1;
        y2[MYSTIFY_LINES - 1] += stepy2;

    	if(! (n % 20))
    		col = rand();

        // vorderste Linie zeichnen
    	CoSchedLock();
        gfx_set_color(col);
    	gfx_line(x1[MYSTIFY_LINES-1], y1[MYSTIFY_LINES-1], x2[MYSTIFY_LINES-1], y2[MYSTIFY_LINES-1]);
    	CoSchedUnlock();

    	CoTickDelay(10);
    }
}

#define ITERATION       256
#define REAL_CONSTANT3  -0.70176
#define IMG_CONSTANT3   0.3842

void julia3(uint16_t size_x, uint16_t size_y, uint16_t offset_x, uint16_t offset_y, uint16_t zoom)
{
	float tmp1, tmp2;
	float num_real, num_img;
	float radius;
	uint16_t i;
	uint16_t x, y;

	for(y = WND_START_Y; y < size_y; y++)
	{
		if(y < gfx_get_max_y())
		{
			CoSchedLock();
			gfx_set_color(RED);
			//gfx_line(WND_START_X, y, gfx_get_max_x(), y);
			gfx_line(WND_START_X, y + 1, gfx_get_max_x(), y + 1); // nchste zeile markieren
			CoSchedUnlock();
		}

		for(x = WND_START_X; x < size_x; x++)
		{
			num_real = y - offset_y;
			num_real = num_real / zoom;
			num_img = x - offset_x;
			num_img = num_img / zoom;

			i = 0;
			radius = 0;

			while((i < ITERATION - 1) && (radius < 4))
			{
				tmp1 = num_real * num_real;
				tmp2 = num_img * num_img;
				num_img = 2 * num_real * num_img + IMG_CONSTANT3;
				num_real = tmp1 - tmp2 + REAL_CONSTANT3;
				radius = tmp1 + tmp2;
				i++;
			}

			CoSchedLock();
			gfx_set_color(RGB(i * 8, i * 38, i * 18));
			//SetColor(RGB(i*12,i*38,i*18));
			//SetColor(RGB(i*28,i*38,i*18));
			gfx_put_pixel(x, y);
			CoSchedUnlock();
		}
	}
}

void gfx_juliatest()
{
	CoSchedLock();
	gfx_set_color(BLACK);
	gfx_rect_filled(WND_START_X, WND_START_Y, gfx_get_max_x(), gfx_get_max_y());
	CoSchedUnlock();

	for(uint16_t i = 0; i < 100; i++)
	{
		//CoSchedLock();

		julia3(gfx_get_max_x() + 1, gfx_get_max_y() + 1, gfx_get_max_x() / 2, gfx_get_max_y() / 2, i);
		i += 8;	//3

		//CoSchedUnlock();
	}

}

void gfx_ellipse_test()
{
	CoSchedLock();
	gfx_set_color(BLACK);
	gfx_rect_filled(WND_START_X, WND_START_Y, gfx_get_max_x(), gfx_get_max_y());
	CoSchedUnlock();

	for(uint16_t i = 0; i < 200; i++)
	{
		gfx_set_color(rand());
		gfx_ellipse_filled(399, 239, 398, 239);
	}
}

void gfx_contrast_bars_test()
{
    /*
     * COLOR CONTRAST BARS: All the other case, draw contrast color bars
     * (7 color bar, 32 cells each)
     */

	uint16_t i, j;
    int16_t x1, y1, x2, y2, delx, dely;
    uint16_t dif_red, dif_green, dif_blue;
    uint16_t col_red, col_green, col_blue;

	CoSchedLock();
	gfx_set_color(BLACK);
	gfx_rect_filled(WND_START_X, WND_START_Y, gfx_get_max_x(), gfx_get_max_y());
	CoSchedUnlock();

	delx = gfx_get_max_x() / 256;
	dely = (gfx_get_max_y() - WND_START_Y) / 7;

    /* initial y positions */
	y1 = WND_START_Y;
	y2 = y1 + dely - 1;

    for(i = 0; i < 7; i++ )
    {
            /* initial x positions */
            x1 = 0;
            x2 = x1 + delx - 1;

            /* prepare color bars */
            if(i == 0)
            {
                    /* blue color bar */
                    dif_red = 0x00;
                    dif_green = 0x00;
                    //dif_blue = ((0xFF)>>5);
                    dif_blue = 1;
            }
            else if(i == 1)
            {
                    /* green color bar */
                    dif_red = 0x00;
                    //dif_green = ((0xFF)>>5);
                    dif_green = 1;
                    dif_blue = 0x00;
            }
            else if(i == 2)
            {
                    /* cyan color bar */
                    dif_red = 0x00;
                    //dif_green = ((0xFF)>>5);
                    dif_green = 1;
                    //dif_blue = ((0xFF)>>5);
                    dif_blue = 1;
            }
            else if(i == 3)
            {
                    /* red color bar */
                	//dif_red = ((0xFF)>>5);
                	dif_red = 1;
                    dif_green = 0x00;
                    dif_blue = 0x00;
            }
            else if(i == 4)
            {
                    /* magenta color bar */
                	//dif_red = ((0xFF)>>5);
                	dif_red = 1;
                    dif_green = 0x00;
                    //dif_blue = ((0xFF)>>5);
                    dif_blue = 1;
            }
            else if(i == 5)
            {
                    /* yellow color bar */
					//dif_red = ((0xFF)>>5);
					//dif_green = ((0xFF)>>5);
					dif_red = 1;
					dif_green = 1;
                    dif_blue = 0x00;
            }
            else if(i == 6)
            {
                    /* white color bar */
					//dif_red = ((0xFF)>>5);
					//dif_green = ((0xFF)>>5);
					//dif_blue = ((0xFF)>>5);
					dif_red = 1;
					dif_green = 1;
					dif_blue = 1;
            }

            /* initial color value */
            col_red = dif_red;
            col_green = dif_green;
            col_blue = dif_blue;

            for( j = 0; j < 256; j++ )
            {
				gfx_set_color(RGB(col_red, col_green, col_blue));
				gfx_rect_filled(x1, y1, x2, y2);

				/* next color value */
				col_red += dif_red;
				col_green += dif_green;
				col_blue += dif_blue;

				/* next x position */
				x1 = x2 + 1;
				x2 = x1 + delx - 1;

				CoTimeDelay(0, 0, 0, 10);
            }

            /* advance to the next y position */
            y1 = y2 + 2;
            y2 = y1 + dely -1;
    }

    CoTimeDelay(0, 0, 2, 0);
}

void gfx_txt_test()
{
	char tmp[20];

	CoSchedLock();
	gfx_set_color(BLACK);
	gfx_rect_filled(WND_START_X, WND_START_Y, gfx_get_max_x(), gfx_get_max_y());
	CoSchedUnlock();

	for(int16_t tpr = -235; tpr < 300; tpr++)
	{
		int16_t t = tpr;
		bool neg = false;
		uint8_t ten, one, cent;
		char* b = &tmp[0];

		/* temperatur ist negativ */
	    if(t < 0)
	    {
	        neg = true;
	    	t = -t;
	    }

	    ten = t / 100;
	    t = t % 100;
	    one = t / 10;
	    cent = t % 10;

	    if(neg)
	    {
	    	if(ten > 0)
	    	{
	    		*b++ = '-';
	    		*b++ = ten | '0';
	    	}
	    	else
	    	{
	    		*b++ = ' ';
	    		*b++ = '-';
	    	}

	    	*b++ = one | '0';
	    	*b++ = '.';
	    	*b++ = cent | '0';
	    }
	    else
	    {
	    	*b++ = ' ';

	    	if(ten > 0)
	    	{
	    		*b++ = ten | '0';
	    	}
	    	else
	    	{
	    		*b++ = ' ';
	    	}

	    	*b++ = one | '0';
	    	*b++ = '.';
	    	*b++ = cent | '0';
	    }

	    /* Die Reihenfolge der ifs ist wichtig */
	    uint16_t bg_clr = WHITE;
	    if(tpr < -100)
	    	bg_clr = BLUE;
	    else if(tpr < 0)
	    	bg_clr = LBLUE;
	    else if(tpr > 200)
	    	bg_clr = RED;
	    else if(tpr > 100)
	    	bg_clr = LRED;

		CoSchedLock();
		gfx_set_font(&GUI_FontD80);
		gfx_set_txt_bg_color(BLACK);
		gfx_set_txt_fg_color(bg_clr);
	    gfx_set_txt_crsr(0, 80);
		gfx_put_string(tmp);
		CoSchedUnlock();

		CoTimeDelay(0, 0, 0, 100);
	}
}


void gfx_pictest()
{

	//const uint16_t* tmp = pic02;
	volatile uint16_t* tmp = (uint16_t*)0x64000000;
	for(uint32_t n = 0; n < (240 * 320); n++)
		//*(tmp + n) = pic02[n];
		*tmp++ = pic02[n];

/*
	volatile uint16_t* tmp = (uint16_t*)0x64000000;
	for(uint16_t y = 0; y < 319; y++)
	{
		for(uint16_t x = 0; x < 239; x++)
		{
			volatile uint32_t n = (y * 320) + x;
			*tmp++ = pic02[n];
		}
	}
*/

	//tmp = (uint16_t*)0x64000000;
	//for(uint32_t n = (240 * 100); n < (240 * 120); n++)
	//	*(tmp + n) = RED;



	tmp = (uint16_t*)0x64000000;

	for(uint16_t y = WND_START_Y; y < (gfx_get_max_y() - 320); y++)
	{
		CoSchedLock();
		gfx_set_color(BLACK);
		gfx_rect_filled(WND_START_X, WND_START_Y, gfx_get_max_x(), gfx_get_max_y());
		CoSchedUnlock();

		for(uint16_t x = 0; x < (gfx_get_max_x() - 240); x++)
		{

			CoSchedLock();
			gfx_draw_pic(x, y, x + 239, y + 319, (const uint16_t*) tmp);
			CoSchedUnlock();

			if(x > 0)
			{
				CoSchedLock();
				gfx_set_color(BLACK);
				//gfx_rect_filled(0, y, x - 1, y + 319);
				gfx_rect_filled(x - 1, y, x - 1, y + 319);
				CoSchedUnlock();
			}

			CoTickDelay(1);
		}
	}
}

void gfx_sintest()
{
	CoSchedLock();
	gfx_set_color(BLACK);
	gfx_rect_filled(WND_START_X, WND_START_Y, gfx_get_max_x(), gfx_get_max_y());
	CoSchedUnlock();

	CoTickDelay(1);

	CoSchedLock();
	gfx_set_color(BLUE);
	gfx_line(399, 15, 399, 464);
	gfx_line(WND_START_X, 239, 798, 239);
	CoSchedUnlock();

	for(uint8_t n = 0; n < 100; n++)
	{
		// Draw a moving sinewave
		uint16_t x = 1;
		uint16_t y;
		uint16_t buf[799];

		for(uint16_t i = 1; i < (798 * 20); i++)
		{
			x++;

			if(x == 799)
			{
				CoTickDelay(100);
				x = 1;
			}

			if(i > 799)
			{
				CoSchedLock();
				if((x == 399)||(buf[x-1] == 239))
					gfx_set_color(BLUE);
				else
					gfx_set_color(BLACK);

				gfx_put_pixel(x, buf[x-1]);
				CoSchedUnlock();
			}

			y = 239 + (sin(((i * 1.65) * 3.14) / 180) * (200 - (i / 100)));

			CoSchedLock();
			gfx_put_pixel_color(x, y, CYAN);
			CoSchedUnlock();

			buf[x - 1] = y;
		}
	}
}
