
#ifndef _SSD1289_H_
#define _SSD1289_H_

#include <stdint.h>

/* RGB565 */
#define RGB(r, g, b) ((uint16_t)((((r) & 0xf8) << 8) | (((g) & 0xfc)<<3) | (((b) & 0xf8) >> 3)))

#define BLACK   	RGB(0x00, 0x00, 0x00)
#define WHITE   	RGB(0xff, 0xff, 0xff)
#define RED     	RGB(0xff, 0x00, 0x00)
#define GREEN   	RGB(0x00, 0xff, 0x00)
#define BLUE    	RGB(0x00, 0x00, 0xff)
#define YELLOW  	RGB(0xff, 0xff, 0x00)
#define MAGENTA		RGB(0xff, 0x00, 0xff)
#define CYAN    	RGB(0x00, 0xff, 0xff)
#define GRAY    	RGB(0x80, 0x80, 0x80)
#define SILVER  	RGB(0xa0, 0xa0, 0x80)
#define GOLD    	RGB(0xa0, 0xa0, 0x40)
#define LBLUE 		RGB(0x60, 0x60, 0xff)
#define LRED    	RGB(0xff, 0x60, 0x60)


void ssd1289_init();
void ssd1289_cursor_set(const uint16_t x, const uint16_t y);
void ssd1289_area_set(const uint16_t x1, const uint16_t y1, const uint16_t x2, const uint16_t y2);
void ssd1289_put_pixel(const uint16_t x, const uint16_t y);
void ssd1289_put_pixel_color(const uint16_t x, const uint16_t y, const uint16_t color);
void ssd1289_bar(const uint16_t left, const uint16_t top, const uint16_t right, const uint16_t bottom, const uint16_t color);
void ssd1289_clear(const uint16_t color);

void ssd1289_draw_bitmap_mono(const uint16_t width, const uint16_t height, const uint8_t* data);
void ssd1289_draw_pic(const uint16_t left, const uint16_t top, const uint16_t right, const uint16_t bottom, const uint16_t* data);


#endif // _SSD1289_H_
