
#include "stm32f4xx_conf.h"
#include "led.h"
#include "led_config.h"


void led_init()
{
	/* GPIOD Periph clock enable */
	RCC_AHB1PeriphClockCmd(LED_GPIO_CLK, ENABLE);

    GPIO_InitTypeDef gpi;
    gpi.GPIO_Pin = (LED_PIN);
    gpi.GPIO_Mode = GPIO_Mode_OUT;
    gpi.GPIO_OType = GPIO_OType_PP;
    gpi.GPIO_Speed = GPIO_Speed_2MHz;
    gpi.GPIO_PuPd = GPIO_PuPd_NOPULL;
	GPIO_Init(LED_GPIO_PORT, &gpi);
}

void led_on()
{
	GPIO_ResetBits(LED_GPIO_PORT, LED_PIN);
}

void led_off()
{
	GPIO_SetBits(LED_GPIO_PORT, LED_PIN);
}

void led_toggle()
{
	GPIO_ToggleBits(LED_GPIO_PORT, LED_PIN);
}
