#include "stm32f4xx_conf.h"
#include "delay.h"
#include "led.h"
#include "xmem.h"
#include "rtc.h"
#include <CoOS.h>
#include "task_a.h"
#include "task_b.h"
#include "task_c.h"
#include "gfx.h"

int main(void)
{
	SystemInit();
	led_init();
	xmem_init();
	rtc_init();
	gfx_init();

	CoInitOS();

	/* Create the tasks */
	task_a_init();
	task_b_init();
	task_c_init();

	/* Start multitask */
	CoStartOS();

    while(1)
    {
    }
}
