#include <stdio.h>
#include "stm32f4xx_conf.h"
#include "gfx.h"
#include "fonts.h"
#include "rtc.h"
#include <CoOS.h>
#include "task_a.h"

/* task stack */
#define STACK_SIZE_TASK_A 1024
OS_STK task_a_stack[STACK_SIZE_TASK_A];

#define WND_START_X  (0)
#define WND_START_Y (36)

/* forward declaration */
void task_a(void* pdata);

void task_a_init()
{
	CoCreateTask(&task_a, 0, 6, &task_a_stack[STACK_SIZE_TASK_A - 1], STACK_SIZE_TASK_A);
}

void task_a(void* pdata)
{
	uint8_t h, m, s;
	uint16_t ms;
	RTC_TimeTypeDef time;
	RTC_DateTypeDef date;
	char tmp[60];

/*
*/
	CoSchedLock();
	gfx_set_color(BLACK);
	gfx_rect_filled(0, 0, gfx_get_max_x(), WND_START_Y - 1);
	gfx_set_font(&GUI_Font16B_ASCII);
	gfx_set_txt_bg_color(BLACK);
	gfx_set_txt_fg_color(RED);
	gfx_set_txt_crsr(0, 0);
	gfx_put_string("Uptime:");
	CoSchedUnlock();

/*
	time.RTC_Hours = 22;
	time.RTC_Minutes = 20;
	time.RTC_Seconds = 00;
	time.RTC_H12 = RTC_HourFormat_24;
	RTC_SetTime(RTC_Format_BIN, &time);

	RTC_DateTypeDef rd;
	rd.RTC_Month 	= 3;
	rd.RTC_Date 	= 29;
	rd.RTC_Year 	= 13;
	rd.RTC_WeekDay = RTC_Weekday_Friday;
	RTC_SetDate(RTC_Format_BIN, &rd);
*/

	while(1)
	{
		CoTickToTime(CoGetOSTime(), &h, &m, &s, &ms);
		sprintf(tmp, "%02u:%02u:%02u, %04u", h, m, s, ms);

		CoSchedLock();
		gfx_set_font(&GUI_Font16_ASCII);
		gfx_set_txt_bg_color(BLACK);
		gfx_set_txt_fg_color(YELLOW);
	    gfx_set_txt_crsr(65, 0);
		gfx_put_string(tmp);
		CoSchedUnlock();

		RTC_GetTime(RTC_Format_BIN, &time);
		RTC_GetDate(RTC_Format_BIN, &date);

		sprintf(tmp, "%s, %u. %s %04u %u:%02u:%02u ",
				rtc_get_dow_str(date.RTC_WeekDay),
				date.RTC_Date,
				rtc_get_month_str(date.RTC_Month),
				date.RTC_Year + 2000,
				time.RTC_Hours,
				time.RTC_Minutes,
				time.RTC_Seconds);

		CoSchedLock();
		gfx_set_font(&GUI_Font16_ASCII);
		gfx_set_txt_bg_color(BLACK);
		gfx_set_txt_fg_color(GREEN);
	    gfx_set_txt_crsr(0, 17);
		gfx_put_string(tmp);

		// Rest weglschen
		uint16_t x, y;
		gfx_get_txt_crsr(&x, &y);
		gfx_set_color(BLACK);
		gfx_rect_filled(x, y, gfx_get_max_x(), y + GUI_Font16_ASCII.YSize);
		CoSchedUnlock();

		CoTimeDelay(0, 0, 1, 0);
	}
}
